﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Drawing;
using System.Drawing.Imaging;
namespace WebSnap
{
    public partial class WebSnap : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }
        public string WebPreview(string url)
        {
            if (string.IsNullOrEmpty(url)) return string.Empty;
            string fold = "_images/";//图片存放目录
            string physicsFold = Server.MapPath(fold);
            string name = url;
            name = name.Replace('/', '-');
            name = name.Replace(':', '_');
            name = name.Replace('&', '_');
            name = name.Replace(',', '_');
            name = name.Replace('\'', '_');
            name = name.Replace('"', '_');
            string fileName = name + ".jpg";
            if (!System.IO.File.Exists(physicsFold + fileName))
            {
                try
                {
                    Bitmap image = okpower.Utility.WebPreview.GetWebPreview(new Uri(url),300*1000,800,600,true);

                    //保存图片数据
                    image.Save(physicsFold + fileName, ImageFormat.Jpeg);
                }
                catch (Exception ex)
                {
                    throw;
                }
            }
            return fold + fileName;
        }
        protected void Button1_Click(object sender, EventArgs e)
        {
            this.Preview.InnerHtml = "<img src=\"" + WebPreview(TextBox1.Text) + "\"/>";
        }
    }
}
